diff -r 1646adc7793b src/odepkg_auxiliary_functions.cc
--- a/src/odepkg_auxiliary_functions.cc	Sun Jan 20 20:52:16 2019 +0100
+++ b/src/odepkg_auxiliary_functions.cc	Sun Jan 20 21:30:32 2019 +0100
@@ -46,7 +46,7 @@
  * @end deftypefn
  */
 octave_idx_type odepkg_auxiliary_isvector (octave_value vval) {
-  if (vval.is_numeric_type () && 
+  if (vval.isnumeric () && 
       vval.ndims () == 2 && // ported from the is_vector.m file
       (vval.rows () == 1 || vval.columns () == 1))
     return (true);
@@ -85,17 +85,17 @@
   switch (vdeci) {
     case 0:
       varin(3) = "init";
-      feval ("odepkg_event_handle", varin, 0);
+      octave::feval ("odepkg_event_handle", varin, 0);
       break;
 
     case 1:
       varin(3) = "";
-      varout = feval ("odepkg_event_handle", varin, 1);
+      varout = octave::feval ("odepkg_event_handle", varin, 1);
       break;
 
     case 2:
       varin(3) = "done";
-      feval ("odepkg_event_handle", varin, 0);
+      octave::feval ("odepkg_event_handle", varin, 0);
       break;
 
     default:
@@ -132,8 +132,8 @@
 
   // Check if the user has set the option "OutputSel" then create a
   // reduced vector that stores the desired values.
-  if (vsel.is_empty ()) {
-    for (octave_idx_type vcnt = 0; vcnt < vresult.length (); vcnt++)
+  if (vsel.isempty ()) {
+    for (octave_idx_type vcnt = 0; vcnt < vresult.numel (); vcnt++)
       vreduced(vcnt) = vresult(vcnt);
   }
   else {
@@ -159,18 +159,18 @@
   // function to the caller function
   if ((vdeci == 0) || (vdeci == 2)) {
     if (vplt.is_function_handle () || vplt.is_inline_function ())
-      feval (vplt.function_value (), varin, 0);
+      octave::feval (vplt.function_value (), varin, 0);
     else if (vplt.is_string ()) // String may be used from the caller
-      feval (vplt.string_value (), varin, 0);
+      octave::feval (vplt.string_value (), varin, 0);
     return (true);
   }
 
   else if (vdeci == 1) {
     octave_value_list vout;
     if (vplt.is_function_handle () || vplt.is_inline_function ())
-      vout = feval (vplt.function_value (), varin, 1);
+      vout = octave::feval (vplt.function_value (), varin, 1);
     else if (vplt.is_string ()) // String may be used if set automatically
-      vout = feval (vplt.string_value (), varin, 1);
+      vout = octave::feval (vplt.string_value (), varin, 1);
     return (vout(0).bool_value ());
   }
 
@@ -200,7 +200,7 @@
 
   // If vjac is a cell array then we expect that two matrices are
   // returned to the caller function, we can't check for this before
-  if (vjac.is_cell () && (vjac.length () == 2)) {
+  if (vjac.iscell () && (vjac.numel () == 2)) {
     varout(0) = vjac.cell_value ()(0);
     varout(1) = vjac.cell_value ()(1);
     if (!varout(0).is_matrix_type () || !varout(1).is_matrix_type ()) {
@@ -220,7 +220,7 @@
     for (octave_idx_type vcnt = 0; vcnt < vextarg.length (); vcnt++)
       varin(vcnt+3) = vextarg(vcnt);
     // Evaluate the Jacobian function and return results
-    varout = feval (vjac.function_value (), varin, 1);
+    varout = octave::feval (vjac.function_value (), varin, 1);
   }
 
   // In principle this is not possible because odepkg_structure_check
@@ -268,7 +268,7 @@
     for (octave_idx_type vcnt = 0; vcnt < vextarg.length (); vcnt++)
       varin(vcnt+2) = vextarg(vcnt);
     // Evaluate the Jacobian function and return results
-    varout = feval (vjac.function_value (), varin, 1);
+    varout = octave::feval (vjac.function_value (), varin, 1);
     vret = varout(0);
   }
 
@@ -312,7 +312,7 @@
   else if (vmass.is_function_handle () || vmass.is_inline_function ()) {
     octave_value_list varin;
     octave_value_list varout;
-    if (vstate.is_empty () || !vstate.is_string ())
+    if (vstate.isempty () || !vstate.is_string ())
       error_with_id ("OdePkg:InvalidOption",
         "If \"Mass\" value is a handle then \"MStateDependence\" must be given");
  
@@ -330,7 +330,7 @@
     }
 
     // Evaluate the Mass function and return results
-    varout = feval (vmass.function_value (), varin, 1);
+    varout = octave::feval (vmass.function_value (), varin, 1);
     vret = varout(0);
   }
 
@@ -440,7 +440,7 @@
       break;
 
     case 3:
-      vtstore = vtstore.extract (0, vtstore.length () - 2);
+      vtstore = vtstore.extract (0, vtstore.numel () - 2);
       vystore = vystore.extract (0, 0, vtstore.rows () - 2, vtstore.cols () - 1);
 
     default: 
diff -r 1646adc7793b src/odepkg_octsolver_ddaskr.cc
--- a/src/odepkg_octsolver_ddaskr.cc	Sun Jan 20 20:52:16 2019 +0100
+++ b/src/odepkg_octsolver_ddaskr.cc	Sun Jan 20 21:30:32 2019 +0100
@@ -116,7 +116,7 @@
   varin(0) = T; varin(1) = A; varin(2) = APRIME;
   for (octave_idx_type vcnt = 0; vcnt < vddaskrextarg.length (); vcnt++)
     varin(vcnt+3) = vddaskrextarg(vcnt);
-  octave_value_list vout = feval (vddaskrodefun.function_value (), varin, 1);
+  octave_value_list vout = octave::feval (vddaskrodefun.function_value (), varin, 1);
 
   // Return the results from the function evaluation to the Fortran
   // solver, again copy them and don't just create a Fortran vector
@@ -287,8 +287,8 @@
   if (nargin >= 5) {
 
     // Fifth input argument != OdePkg option, need a default structure
-    if (!args(4).is_map ()) {
-      octave_value_list tmp = feval ("odeset", tmp, 1);
+    if (!args(4).isstruct ()) {
+      octave_value_list tmp = octave::feval ("odeset", tmp, 1);
       vodeopt = tmp(0).scalar_map_value ();        // Create a default structure
       for (octave_idx_type vcnt = 4; vcnt < nargin; vcnt++)
         vddaskrextarg(vcnt-4) = args(vcnt); // Save arguments in vddaskrextarg
@@ -298,7 +298,7 @@
     else if (nargin > 5) { 
       octave_value_list varin;
       varin(0) = args(4); varin(1) = "odekdi";
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value ();        // Create structure of args(4)
       for (octave_idx_type vcnt = 5; vcnt < nargin; vcnt++)
@@ -309,7 +309,7 @@
     else {
       octave_value_list varin;
       varin(0) = args(4); varin(1) = "odekdi"; // Check structure
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value (); // Create a default structure
     }
@@ -317,7 +317,7 @@
   } // if (nargin >= 5)
 
   else { // if nargin == 4, everything else has been checked before
-    octave_value_list tmp = feval ("odeset", tmp, 1);
+    octave_value_list tmp = octave::feval ("odeset", tmp, 1);
     vodeopt = tmp(0).scalar_map_value (); // Create a default structure
   }
 
@@ -329,7 +329,7 @@
   // Implementation of the option RelTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vreltol = vodeopt.contents ("RelTol");
-  if (vreltol.is_empty ()) {
+  if (vreltol.isempty ()) {
     vreltol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"RelTol\" not set, new value 1e-6 is used");
@@ -345,7 +345,7 @@
   // Implementation of the option AbsTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vabstol = vodeopt.contents ("AbsTol");
-  if (vabstol.is_empty ()) {
+  if (vabstol.isempty ()) {
     vabstol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"AbsTol\" not set, new value 1e-6 is used");
@@ -372,7 +372,7 @@
   // The option NormControl will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnorm = vodeopt.contents ("NormControl");
-  if (!vnorm.is_empty ())
+  if (!vnorm.isempty ())
     if (vnorm.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption", 
         "Option \"NormControl\" will be ignored by this solver");
@@ -380,14 +380,14 @@
   // The option NonNegative will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnneg = vodeopt.contents ("NonNegative");
-  if (!vnneg.is_empty ())
+  if (!vnneg.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"NonNegative\" will be ignored by this solver");
 
   // Implementation of the option OutputFcn has been finished, this
   // option can be set by the user to another value than default value
   octave_value vplot = vodeopt.contents ("OutputFcn");
-  if (vplot.is_empty () && nargout == 0) vplot = "odeplot";
+  if (vplot.isempty () && nargout == 0) vplot = "odeplot";
 
   // Implementation of the option OutputSel has been finished, this
   // option can be set by the user to another value than default value
@@ -408,12 +408,12 @@
   // option can be set by the user to another value than default value
   octave_value vinitstep = vodeopt.contents ("InitialStep");
   if (args(1).length () > 2) {
-    if (!vinitstep.is_empty ())
+    if (!vinitstep.isempty ())
       warning_with_id ("OdePkg:InvalidOption",
        "Option \"InitialStep\" will be ignored if fixed time stamps are given");
     vinitstep = args(1).vector_value ()(1);
   }
-  else if (vinitstep.is_empty ()) {
+  else if (vinitstep.isempty ()) {
     vinitstep = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialStep\" not set, new value 1e-6 is used");
@@ -422,7 +422,7 @@
   // Implementation of the option MaxStep has been finished, this
   // option can be set by the user to another value than default value
   octave_value vmaxstep = vodeopt.contents ("MaxStep");
-  if (vmaxstep.is_empty () && args(1).length () == 2) {
+  if (vmaxstep.isempty () && args(1).length () == 2) {
     vmaxstep = (args(1).vector_value ()(1) - args(1).vector_value ()(0)) / 12.5;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxStep\" not set, new value %3.1e is used", 
@@ -437,19 +437,19 @@
 
   // The options 'Jacobian', 'JPattern' and 'Vectorized'
   octave_value vjac = vodeopt.contents ("Jacobian");
-  if (!vjac.is_empty ()) vddaskrjacfun = vjac;
+  if (!vjac.isempty ()) vddaskrjacfun = vjac;
 
   // The option Mass will be ignored by this solver. We can't handle
   // Mass-matrix options with IDE problems
   octave_value vmass = vodeopt.contents ("Mass");
-  if (!vmass.is_empty ())
+  if (!vmass.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"Mass\" will be ignored by this solver");
 
   // The option MStateDependence will be ignored by this solver. We
   // can't handle Mass-matrix options with IDE problems
   octave_value vmst = vodeopt.contents ("MStateDependence");
-  if (!vmst.is_empty ())
+  if (!vmst.isempty ())
     if (vmst.string_value ().compare ("weak") != 0)
       warning_with_id ("OdePkg:InvalidOption", 
         "Option \"MStateDependence\" will be ignored by this solver");
@@ -457,14 +457,14 @@
   // The option MvPattern will be ignored by this solver. We
   // can't handle Mass-matrix options with IDE problems
   octave_value vmvpat = vodeopt.contents ("MvPattern");
-  if (!vmvpat.is_empty ())
+  if (!vmvpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MvPattern\" will be ignored by this solver");
 
   // The option MvPattern will be ignored by this solver. We
   // can't handle Mass-matrix options with IDE problems
   octave_value vmsing = vodeopt.contents ("MassSingular");
-  if (!vmsing.is_empty ())
+  if (!vmsing.isempty ())
     if (vmsing.string_value ().compare ("maybe") != 0)
       warning_with_id ("OdePkg:InvalidOption", 
         "Option \"MassSingular\" will be ignored by this solver");
@@ -472,14 +472,14 @@
   // The option InitialSlope will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vinitslope = vodeopt.contents ("InitialSlope");
-  if (!vinitslope.is_empty ())
+  if (!vinitslope.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"InitialSlope\" will be ignored by this solver");
 
   // Implementation of the option MaxOrder has been finished, this
   // option can be set by the user to another value than default value
   octave_value vmaxder = vodeopt.contents ("MaxOrder");
-  if (vmaxder.is_empty ()) {
+  if (vmaxder.isempty ()) {
     vmaxder = 3;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxOrder\" not set, new value 3 is used");
@@ -492,7 +492,7 @@
 
   // The option BDF will be ignored because this is a BDF solver
   octave_value vbdf = vodeopt.contents ("BDF");
-  if (!vbdf.is_empty ())
+  if (!vbdf.isempty ())
     if (vbdf.string_value () != "on") {
       vbdf = "on"; warning_with_id ("OdePkg:InvalidOption", 
         "Option \"BDF\" set \"off\", new value \"on\" is used");
@@ -502,12 +502,12 @@
   // this solver, IT NEEDS TO BE CHECKED IF THE FORTRAN CORE SOLVER
   // CAN HANDLE THESE OPTIONS
   octave_value vntol = vodeopt.contents ("NewtonTol");
-  if (!vntol.is_empty ())
+  if (!vntol.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"NewtonTol\" will be ignored by this solver");
   octave_value vmaxnewton = 
     vodeopt.contents ("MaxNewtonIterations");
-  if (!vmaxnewton.is_empty ())
+  if (!vmaxnewton.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxNewtonIterations\" will be ignored by this solver");
 
@@ -523,7 +523,7 @@
 
   vddaskrneqn = args(2).length ();
   double T       = vTIME(0);
-  double TEND    = vTIME(vTIME.length () - 1);
+  double TEND    = vTIME(vTIME.numel () - 1);
   double *Y      = vY.fortran_vec ();
   double *YPRIME = vYPRIME.fortran_vec ();
 
@@ -553,7 +553,7 @@
   INFO[1]   = vitol;  // RelTol/AbsTol are scalars or vectors
   INFO[2]   = 1;      // An intermediate output is wanted
   INFO[3]   = 0;      // Integrate behind TEND
-  if (!vjac.is_empty ()) INFO[4]   = 1;
+  if (!vjac.isempty ()) INFO[4]   = 1;
   else INFO[4] = 0;   // Internally calculate a Jacobian? 0..yes
   INFO[5]   = 0;      // Have a full Jacobian matrix? 0..yes
   INFO[6]   = 1;      // Use the value for maximum step size
@@ -569,14 +569,14 @@
   // initialize these IO-functions for further use
   octave_value vtim (T); octave_value vsol (vY); octave_value vyds (vYPRIME);
   odepkg_auxiliary_solstore (vtim, vsol, 0);
-  if (!vplot.is_empty ()) 
+  if (!vplot.isempty ()) 
     odepkg_auxiliary_evalplotfun (vplot, voutsel, args(1), args(2), vddaskrextarg, 0);
 
   octave_value_list veveideargs;
   veveideargs(0) = vsol; 
   veveideargs(1) = vyds;
   Cell veveidearg (veveideargs);
-  if (!vevents.is_empty ())
+  if (!vevents.isempty ())
     odepkg_auxiliary_evaleventfun (vevents, vtim, veveidearg, vddaskrextarg, 0);
 
   // We are calling the core solver here to intialize all variables
@@ -597,7 +597,7 @@
   ColumnVector vcres(vddaskrneqn);
   ColumnVector vydrs(vddaskrneqn);
 
-  if (vTIME.length () == 2) {
+  if (vTIME.numel () == 2) {
 
     INFO[0] = 1; // Set this info variable ie. continue solving
 
@@ -621,22 +621,22 @@
       }
       vsol = vcres; vyds = vydrs; vtim = T;
 
-      if (!vevents.is_empty ()) {
+      if (!vevents.isempty ()) {
         veveideargs(0) = vsol;
         veveideargs(1) = vyds;
         veveidearg = veveideargs;
         veveres = odepkg_auxiliary_evaleventfun (vevents, vtim, veveidearg, vddaskrextarg, 1);
-        if (!veveres(0).cell_value ()(0).is_empty ())
+        if (!veveres(0).cell_value ()(0).isempty ())
           if (veveres(0).cell_value ()(0).int_value () == 1) {
             ColumnVector vttmp = veveres(0).cell_value ()(2).column_vector_value ();
             Matrix vrtmp = veveres(0).cell_value ()(3).matrix_value ();
-            vtim = vttmp.extract (vttmp.length () - 1, vttmp.length () - 1);
+            vtim = vttmp.extract (vttmp.numel () - 1, vttmp.numel () - 1);
             vsol = vrtmp.extract (vrtmp.rows () - 1, 0, vrtmp.rows () - 1, vrtmp.cols () - 1);
             T = TEND; // let's get out here, the Events function told us to finish
           }
       }
 
-      if (!vplot.is_empty ()) {
+      if (!vplot.isempty ()) {
         if (odepkg_auxiliary_evalplotfun (vplot, voutsel, vtim, vsol, vddaskrextarg, 1)) {
           error ("Missing error message implementation");
           return (vretval);
@@ -660,9 +660,9 @@
   veveideargs(0) = vsol;
   veveideargs(1) = vyds;
   veveidearg = veveideargs;
-  if (!vevents.is_empty ())
+  if (!vevents.isempty ())
     odepkg_auxiliary_evaleventfun (vevents, vtim, vsol, vddaskrextarg, 2);
-  if (!vplot.is_empty ())
+  if (!vplot.isempty ())
     odepkg_auxiliary_evalplotfun (vplot, voutsel, vtim, vsol, vddaskrextarg, 2);
 
   // Return the results that have been stored in the
@@ -695,7 +695,7 @@
     vretmap.assign ("solver", "odekdi");
     if (vstats.string_value ().compare ("on") == 0)
       vretmap.assign ("stats", vstatinfo);
-    if (!vevents.is_empty ()) {
+    if (!vevents.isempty ()) {
       vretmap.assign ("ie", veveres(0).cell_value ()(1));
       vretmap.assign ("xe", veveres(0).cell_value ()(2));
       vretmap.assign ("ye", veveres(0).cell_value ()(3));
@@ -713,7 +713,7 @@
     vretval(2) = vempty;
     vretval(3) = vempty;
     vretval(4) = vempty;
-    if (!vevents.is_empty ()) {
+    if (!vevents.isempty ()) {
       vretval(2) = veveres(0).cell_value ()(2);
       vretval(3) = veveres(0).cell_value ()(3);
       vretval(4) = veveres(0).cell_value ()(1);
